QGIS Application - Bug report #14667
MultiPolygonZM: Geometry type (Polygon) does not match column type (MultiPolygon)
2016-04-12 06:51 AM - crematOrio -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22631
Description

In the presence of a MultiPolygonZM Postgis table, QGIS sends a Polygon to the database.
Procedure:
Create a simple table with MultiPolygonZM geometry:
CREATE TABLE test
(
id integer NOT NULL,
geom geometry(MultiPolygonZM,3763),
CONSTRAINT id_pkey PRIMARY KEY (id)
)
Add that table to QGIS and draw a Polygon. Save it and get:
Provider errors: PostGIS error while adding features: ERROR: Geometry type (Polygon) does not match column type (MultiPolygon)

History

#1 - 2016-04-13 08:31 AM - Giovanni Manghi
- Affected QGIS version changed from 2.14.1 to master
- Category set to Data Provider/PostGIS

#2 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No
#3 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
